List channels
curl --request GET \
--url https://your-instance.example.com/api/{session}/channels \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/{session}/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.example.com/api/{session}/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.example.com/api/{session}/channels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-instance.example.com/api/{session}/channels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"description": "<string>",
"followers": 123,
"lid": "<string>",
"muted": true,
"name": "<string>",
"preview": true,
"profileUrl": "<string>"
}
]{
"error": "missing or invalid API key"
}{
"error": "internal server error"
}{
"docs": "<string>",
"error": "<string>"
}channels
List channels
Returns all newsletter channels for a session
GET
/
api
/
{session}
/
channels
List channels
Authorizations
Scoped API key created via POST /api/account/keys.
Path Parameters
Session name
Response
OK
Channel description/topic
Number of channel followers
Channel JID (Linked Device ID)
Whether channel notifications are muted
Channel display name
Whether the channel is in preview mode
URL of the channel profile picture